## tex-common 0.15build1

=== doc/Makefile ===
DESTDIR=/usr/share/doc/tex-common

CLEANFILES=Debian-TeX-Policy.txt Debian-TeX-Policy.html Debian-TeX-Policy.tpt 

all: policy-txt policy-html policy-pdf

policy-txt: Debian-TeX-Policy.sgml  version.ent
	debiandoc2text Debian-TeX-Policy.sgml

policy-html: Debian-TeX-Policy.sgml  version.ent
	debiandoc2html Debian-TeX-Policy.sgml

policy-pdf: Debian-TeX-Policy.pdf

Debian-TeX-Policy.pdf: Debian-TeX-Policy.sgml  version.ent tex-sed
	debiandoc2latexpdf -s ./tex-sed Debian-TeX-Policy.sgml

install:
	install -d $(DESTDIR)
	cp Debian-TeX-Policy.txt $(DESTDIR)/
	cp Debian-TeX-Policy.pdf $(DESTDIR)/
	cp -R Debian-TeX-Policy.html $(DESTDIR)/

clean:
	-rm -r $(CLEANFILES)

allclean: clean
	-rm  Debian-TeX-Policy.pdf

=== debian/changelog ===
tex-common (0.15build1) dapper; urgency=low

  * Fake sync from Debian. Closes: LP#28104

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 30 Mar 2006 17:40:31 +0200

tex-common (0.15) unstable; urgency=high

  * Urgency high, because this version adds important checks that should
    be present when the teTeX packages enter testing
  * Add more checks for essential entries in texmf.cnf, and bail out with
    a user-friendly error message if they are missing (closes: #346326)
    [frank]
  * Fix functions in common.functions.in, so that old conffiles of teTeX
    are properly handled, thanks to Ralf Stubner
  * Drop unneeded paths from TEXFONTMAPS, we now have only 3.0's upstream
    value plus our backward-compatibility paths; also change the check in
    the postinst accordingly (although the old one would still work, we do
    not allow it for simplicity's sake). [frank]
  * Fix typo in dh_installtexfonts which would echo wrong file names, and
    add --quiet to the call of update-updmap in the debhelper scripts
    [preining]
  * Again fixed extensions of files to purge, and take over correct
    language.dat handling from tetex-base (see: #321804). [frank]
  * Move the handling of 00updmap.cfg from postinst to preinst, where it
    belongs [frank]
  * Fix typo in manpage for update-language, thanks to Nicolas François
    <nicolas.francois@centraliens.net> (closes: #349723) [frank]

 -- Frank Küster <frank@debian.org>  Thu, 26 Jan 2006 22:24:06 +0100

tex-common (0.14) unstable; urgency=low

  * Bump standards version to 3.6.2 (no changes needed)
  * Move debiandoc-sgml from Build-Dep to Build-Dep-Indep
  * Fix a couple of lintian errors and warnings
  * Fix dvips config syntax, thanks to Danai SAE-HAN [preining]
  * Rework the debhelper snippets post(inst|rm)-texfonts [preining]

 -- Norbert Preining <preining@logic.at>  Thu, 22 Dec 2005 16:38:54 +0100

tex-common (0.13) unstable; urgency=low

  * tex-common now provides the symlink /usr/share/texmf/doc -->
    ../doc/texmf, because tetex-doc now puts its files into TEXMFDIST
    [frank].
  * Do no longer install teTeX's common.* files and dsf-patch.mk, they are
    no longer used.
  * Implement --flavor for dh_installtexfonts, first flavors are only
    for generating config files for maps [preining].
  * Fix brace expansion in pdksh, patch from Robert Luberda 
    (closes: #342781) [preining]
  * Add fonts/hbf to the search path for T1 fonts, this is needed by
    cjk-latex. [frank]
  * Translations:
    - Update Czech debconf translation, thanks to Miroslav Kure
      <kurem@upcase.inf.upol.cz> (closes: #341941) [frank]
    - Fix italian translation file, this really closes: #340031 [frank]

 -- Frank Küster <frank@debian.org>  Sun, 11 Dec 2005 14:53:05 +0100

tex-common (0.12) unstable; urgency=low

  * change ls_R_magic to include ., ./, and ls-R so that kpathsea does
    not moan about unusable entry. [preining]
  * Document TEXMFSYSCONFIG in the Policy Draft, and add some more
    clarifications to the text [frank]
  * change TEXMFDIST to include texmf-texlive and texmf-tetex [preining] 
  * Translations:
    - Update French debconf translation, thanks to Clément Stenac
      <zorglub@via.ecp.fr> (closes: #341721) [frank]

 -- Frank Küster <frank@debian.org>  Fri,  2 Dec 2005 17:40:04 +0100

tex-common (0.11) unstable; urgency=low

  * Check for correct setting of TEXFONTMAPS after possible user
    interaction in postinst, and fail with a clear error message, instead
    waiting for teTeX's or TeXLive's updmap calls to fail (closes maybe:
    #338585) [frank]
  * Add a function clean_texenvironment to common.functions, to be used
    from TeX package's postinst scripts, and document that in the Policy
    document. [frank]
  * Add the md5sum of the postinst-edited 00updmap.cfg to ucf's database.
    Also fix the logic for taking over changed settings from tetex-base,
    and create 00updmap.cfg with proper permissions.  Special thanks to
    Junichi Uekawa <dancer@netfort.gr.jp> for insisting (closes: #335682,
    #338689) [frank]
  * The Policy draft has been extended [frank]
  * change TEXMFSYSCONFIG to /etc/texmf and remove the !! before TEXMFCONFIG
    in TEXMF [preining]
  * add TEXMFSYSCONFIG to TEXMF and and reshuffle the order [preining]
  * change TEXMFDBS [preining]
  * Translations:
    - add Swedish debconf translation, thanks to Daniel Nylander
      <yeager@lidkoping.net> (closes: #338866) [frank]
    - update Danish debconf translation, thanks to Claus Hindsgaul
      <claus_h@image.dk> (closes: #339354) [frank]
    - update Italian debconf translation, thanks to Luca Monducci
      <luca.mo@tiscali.it> (closes: #340031) [frank] 

 -- Frank Küster <frank@debian.org>  Tue, 22 Nov 2005 20:15:41 +0100

tex-common (0.10) unstable; urgency=low

  * tex-common should only Suggest debhelper, not Depend on it. It would
    pull in too many dev packages for every normal user. [preining]
  * Fix the syntax of some eval statements in the config script (closes:
    #336951) [frank]
  * In postinst, create nonexistent ls-R files with proper magic content
    if they are not already present (closes: #337073) [frank]
  * The config script was not idempotent, and reset the debconf default
    for group writable ls-R files on a fresh install. [frank]
  * Remove the ls-R symlink in TEXMFLOCAL, thanks to Lars Wirzenius
    <liw@iki.fi> (closes: #333308). [frank] 
  * Check for leftover .svn directories during build (closes: #327785)
    [frank] 
  * Add the md5sum of a version with a newer comment to the list of known
    md5sums for 00updmap.cfg (closes: #336713) [frank]
  * fix installation of debhelper snippet postrm-texfonts. [preining]
  * actually allow multiple invocations of dh_installtexfonts and
    stop with error if a cfg file is installed several times. [preining]

 -- Frank Küster <frank@debian.org>  Wed,  9 Nov 2005 14:45:34 +0100

tex-common (0.9) unstable; urgency=low



=== debian/control ===
Source: tex-common
Section: tex
Priority: optional
Maintainer: teTeX maintainers <debian-tetex-maint@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 4.0.0), eperl
Build-Depends-Indep: debiandoc-sgml, po-debconf, debiandoc-sgml
Standards-Version: 3.6.2

Package: tex-common
Architecture: all
Depends: ucf, ${misc:Depends}
Suggests: debhelper (>= 4.0)
Replaces: tetex-base (<= 3.0-10)
Conflicts: tetex-bin (<= 3.0-4), tetex-base (<= 3.0-3)
Description: Common infrastructure for using and building TeX in Debian
 This package contains a number of scripts and common configuration
 files that are needed to install a TeX System, either teTeX or
 TeX-Live.
 .
 It also contains some files used when creating tetex packages from
 the Debian source packages, and which allow a synchronisation between
 the two source packages of teTeX (tetex-base and tetex-bin) and
 tex-live.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

INSTDIR=$(CURDIR)/debian/tex-common

bin_scripts=dh_installtexfonts
#bin_scripts=dh_installtexfonts dh_installtex
sbin_scripts=update-texmf update-fontlang

sbin_installfiles=$(foreach script,$(sbin_scripts), scripts/$(script))
sbin_manpages=$(foreach script,$(sbin_scripts), scripts/$(script).8) scripts/update-fmtutil.8 scripts/update-language.8

bin_installfiles=$(foreach script,$(bin_scripts), scripts/$(script))
bin_manpages=$(foreach script,$(bin_scripts), scripts/$(script).1) scripts/update-updmap.1

# create maintainer scripts etc.
EPERL_FILES := debian/common.functions debian/postinst debian/postrm debian/config debian/preinst
eperl_sourcefiles=debian/variables debian/COPYRIGHT.scripts debian/postinst.functions \
   debian/common.variables debian/common.functions debian/postrm.functions

# Eperl is simply great: thanks, Davide!
% :: %.in $(eperl_sourcefiles) 
	eperl -P -o $@ $<

# Override the general rule for eperl-generated files in order to avoid a
# circular dependency (debian/common.functions is listed in
# $(eperl_sourcefiles)).
debian/common.functions: debian/common.functions.in debian/common.variables
	eperl -P -o $@ $<

foo:
	echo foo

build: build-stamp

build-stamp: $(EPERL_FILES)
	dh_testdir
	$(check-svn)

	# Add here commands to compile the package.
	cd doc; $(MAKE)
	cd scripts; pod2man dh_installtexfonts > dh_installtexfonts.1
	#cd scripts; pod2man dh_installtex > dh_installtex.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	cd doc; $(MAKE) clean
	-rm $(EPERL_FILES)

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tex-common.
	cd doc; $(MAKE) install DESTDIR=$(INSTDIR)/usr/share/doc/tex-common
	cp conf/fmt.d/00tex.cnf $(INSTDIR)/etc/texmf/fmt.d/
	cp conf/language.d/00tex.cnf $(INSTDIR)/etc/texmf/language.d/
	# ucf files
	cp conf/texmf.d/*cnf $(INSTDIR)/usr/share/tex-common/
	ln -s /etc/texmf/texmf.cnf $(INSTDIR)/usr/share/texmf/web2c/texmf.cnf
	cp conf/updmap.d/00updmap.cfg $(INSTDIR)/usr/share/tex-common/
	cp -a debian/md5sums/* $(INSTDIR)/usr/share/tex-common/
	cp $(sbin_installfiles) $(INSTDIR)/usr/sbin/
	cp $(bin_installfiles) $(INSTDIR)/usr/bin/
	ln -s update-fontlang $(INSTDIR)/usr/sbin/update-language
	ln -s update-fontlang $(INSTDIR)/usr/sbin/update-fmtutil
	ln -s ../sbin/update-fontlang $(INSTDIR)/usr/bin/update-updmap

	# debhelper stuff
	# dh_installtexfonts(.1) is already installed via the bin_scripts
	#cp scripts/postrm-texfonts $(INSTDIR)/usr/share/debhelper/autoscripts
	#cp scripts/postinst-texfonts $(INSTDIR)/usr/share/debhelper/autoscripts
	grep -v '^[ \t]*#' scripts/postrm-texfonts > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-texfonts
	grep -v '^[ \t]*#' scripts/postinst-texfonts > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-texfonts

	# ship /var/cache/fonts with proper permissions
	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/pk
	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/tfm
	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/source

	# Remove the out-of-date ls-R file from /usr/share/texmf and create a
	# link to one in /var/lib/texmf that we can update without violating
	# the FHS.
	rm -f debian/$package/usr/share/texmf/ls-R
	ln -s /var/lib/texmf/ls-R-TEXMFMAIN $(INSTDIR)/usr/share/texmf/ls-R

	# Create a symlink in TEXMFMAIN for docs
	ln -s ../doc/texmf $(INSTDIR)/usr/share/texmf/doc


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	$(check-svn)
	dh_testroot
	dh_installdebconf 
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installinfo
	dh_installman $(sbin_manpages) $(bin_manpages)
	dh_link
	dh_compress
	dh_fixperms --exclude=var/cache/fonts
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

define check-svn
	if test -d debian/.svn; then \
		echo "please clean subversion directories"; \
		exit 1; \
	fi
endef

## tex-common 0.25

=== doc/Makefile ===
DESTDIR = /usr/share/doc/tex-common

CLEANFILES = Debian-TeX-Policy.txt Debian-TeX-Policy.html Debian-TeX-Policy.tpt

all: policy-txt policy-html policy-pdf

policy-txt: Debian-TeX-Policy.sgml version.ent
	debiandoc2text Debian-TeX-Policy.sgml

policy-html: Debian-TeX-Policy.sgml version.ent
	debiandoc2html Debian-TeX-Policy.sgml

policy-pdf: Debian-TeX-Policy.pdf

Debian-TeX-Policy.pdf: Debian-TeX-Policy.sgml version.ent tex-sed
	debiandoc2latexpdf -s ./tex-sed Debian-TeX-Policy.sgml

install:
	install -d $(DESTDIR)
	cp Debian-TeX-Policy.txt $(DESTDIR)/
	cp Debian-TeX-Policy.pdf $(DESTDIR)/
	cp -R Debian-TeX-Policy.html $(DESTDIR)/

clean:
	-rm -r $(CLEANFILES)

allclean: clean
	-rm  Debian-TeX-Policy.pdf

=== debian/changelog ===
tex-common (0.25) unstable; urgency=low

  * Translations:
    - Fix typos in french debconf translation, thanks to Florentin Duneau
      <f.baced@wanadoo.fr> (closes: #374632) [frank]
    - Update brazilian Portuguese debconf translation, thanks to Andre
      Luis Lopes <andrelop@debian.org> and Felipe Augusto van de Wiel
      <felipe@cathedrallabs.org> [frank]

  * scripts/update-fontlang:
      - don't include ${conffile} in the generated file if
        ${conffile}.dpkg-new exists ($conffile may not be up-to-date in this
        case);
        see http://lists.debian.org/debian-tetex-maint/2006/06/msg00260.html
        for a discussion of this subject.
      - cosmetic fixes. [florent]
  
  * Update scripts/update-updmap.1 and doc/Debian-TeX-Policy.sgml
    accordingly. [florent]

 -- Florent Rougon <frn@debian.org>  Mon, 26 Jun 2006 10:37:04 +0200

tex-common (0.24) unstable; urgency=low

  * Updated debconf translations:
    - French, thanks to Steve <dlist@bluewin.ch> (closes: #369360) [frank]

  * dhit_check_run_without_errors() in postrm-tex was not completely silent
    even if called with -silent (outputing 3 ugly lines starting with a space
    followed by "done."). This is now fixed. [florent]

 -- Florent Rougon <frn@debian.org>  Sun, 18 Jun 2006 23:14:27 +0200

tex-common (0.23) unstable; urgency=low

  * After the groupname question has been renamed, make sure that the new
    questions are not shown again when the old one has already been seen,
    and unregister the old question (closes: #366812) [frank]
  * Fix bashism in config (closes: #366789) [frank]
  * Fix our check for a working configuration in texmf.d, and write short
    information messages to stderr for the noninteractive frontend or for
    people who don't have a pencil (closes: #366907), thanks Ralf [frank]
  * Make sure the font cache directory is always world-writeable - we
    previously missed the case where apt-utils are installed in a buildd
    chroot (again closes: #354113, #366858) [frank]
  * Updated debconf translations: [frank]
    - Czech by Miroslav Kure <kurem@upcase.inf.upol.cz> (closes: #367162) 
    - Danish by Claus Hindsgaul <claus.hindsgaul@gmail.com> (closes:
      #367180) 
    - Italian by Luca Monducci <luca.mo@tiscali.it> (closes: #367183)
  * Debian TeX Policy:
    Remove last occurrences of obsolete TEXMFSITE.

 -- Frank Küster <frank@debian.org>  Wed, 17 May 2006 18:56:32 +0200

tex-common (0.22) unstable; urgency=low

  * Also install FileUtils.pm which is needed by tpm2licenses [frank]
  * Make running of update-* commands silent in the debhelper postrm
    helper scripts (Closes: #365070) [preining]
  * Debconf translations:
    - updated wording of swedish template, thanks to Daniel Nylander
      <yeager@lidkoping.net> (closes: #365992) [frank]
  * Change the configuration scheme again a little: Before accepting a
    group name typed by the user, test whether it really exists.
    Furthermore, if there is only one user in the "normal user" range in
    /etc/passwd, suggest their group as the owner of the font cache.  And
    finally, make the wording clearer everywhere.  Many thanks to Anthony
    DeRobertis <anthony@derobert.net>, James R. Van Zandt"
    <jrvz@comcast.net> and Helge Hafting <helge.hafting@aitel.hist.no>
    (closes: #366107, #366095, #365513) [frank]
  * Fix lintian warnings and errors: [frank]
    - Move eperl to Build-Depends-Indep
    - Fix my name in update-language(8)
    - Add overrides for the font cache permissions and our debconf note if
      the postinst script fails. 
  * Bump standards version (no changes needed) [frank]

 -- Frank Küster <frank@debian.org>  Wed, 10 May 2006 13:19:52 +0200

tex-common (0.21) unstable; urgency=low

  * Syntax error: postinst script silently failed when it should have
    displayed a debconf warning [frank]
  * Improve readability of eperl scripts in debian/ as in tetex-bin [jdg]
  * Adjust priority of the groupname debconf question to be the same as
    the managecache question (closes: #360127) [frank]
  * Fix eperl open commands in maintainer scripts to work with -k [jdg]
  * Made preinst a /bin/sh script [jdg]
  * Install the tpm2licenses Perl script and the Tpm.pm module into
    /usr/share/tex-common for more convenient use [frank].
  * Add to the source package a ChangeLog file to keep track of the
    copyright/licensing verification work I'm doing [frank]
  * Update debconf translations:
    - Danish by Claus Hindsgaul <claus.hindsgaul@gmail.com> (closes:
      #360035)
    - Czech by Miroslav Kure <kurem@upcase.inf.upol.cz> (closes: #360212)
    - Spanish by Javier Fernández-Sanguino Peña <jfs@computer.org>
    - Swedish by Daniel Nylander <po@danielnylander.se> 
    - Turkish by Osman Yuksel <yuxel@sonsuzdongu.com>
    - Lithuanian by Kęstutis Biliūnas <kebil@kaunas.init.lt> (closes:
      #360282)
    - Italian by Luca Monducci <luca.mo@tiscali.it> (closes: #360645)
    - Japanese by Kenshi Muto <kmuto@topstudio.co.jp> (closes: #360679)
    - German by Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
    - French by steve <dlist@bluewin.ch> (closes: #362426)
    Many thanks to all contributors! [frank]

 -- Frank Küster <frank@debian.org>  Fri, 21 Apr 2006 09:49:06 +0200

tex-common (0.20) unstable; urgency=medium

  * This version fixes a RC bug (#357983) - the version in testing was not
    affected.  But taken together, 0.20 fixes lots of important and
    annoying bugs that also exist in testing that I'm increasing the
    urgency. [frank]
  * Change wording in debconf template and README.Debian to clearly
    indicate that per default users are not member of the "users" group,
    (closes: #356960, #357983) [frank]
  * Install reportbug control script to report with tetex and texlive
    packages [frank]
  * update-fontlang: Change the note that is displayed when the output
    file is a symlink to an error message (displayed also in quiet mode)
    (closes: #357289) [frank]


=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: tex
 Priority: optional
 Maintainer: teTeX maintainers <debian-tetex-maint@lists.debian.org>
-Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>
-Build-Depends: debhelper (>= 4.0.0), eperl
-Build-Depends-Indep: debiandoc-sgml, po-debconf, debiandoc-sgml
-Standards-Version: 3.6.2
+Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>
+Build-Depends: debhelper (>= 4.0.0)
+Build-Depends-Indep: debiandoc-sgml, po-debconf, eperl
+Standards-Version: 3.7.2.0
 
 Package: tex-common
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

INSTDIR=$(CURDIR)/debian/tex-common

bin_scripts=dh_installtex
sbin_scripts=update-texmf update-fontlang
nonbin_scripts=tpm2licenses Tpm.pm FileUtils.pm

sbin_installfiles=$(foreach script,$(sbin_scripts), scripts/$(script))
sbin_manpages=$(foreach script,$(sbin_scripts), scripts/$(script).8) scripts/update-fmtutil.8 scripts/update-language.8

bin_installfiles=$(foreach script,$(bin_scripts), scripts/$(script))
bin_manpages=$(foreach script,$(bin_scripts), scripts/$(script).1) scripts/update-updmap.1

nonbin_installfiles=$(foreach script,$(nonbin_scripts), scripts/$(script))

# create maintainer scripts etc.
EPERL_FILES := debian/common.functions debian/postinst debian/postrm debian/config debian/preinst
eperl_sourcefiles=debian/variables debian/COPYRIGHT.scripts debian/postinst.functions \
   debian/common.variables debian/common.functions debian/postrm.functions

# Eperl is simply great: thanks, Davide!
% :: %.in $(eperl_sourcefiles) 
	eperl -k -P -o $@ $<

# Override the general rule for eperl-generated files in order to avoid a
# circular dependency (debian/common.functions is listed in
# $(eperl_sourcefiles)).
debian/common.functions: debian/common.functions.in debian/common.variables
	eperl -k -P -o $@ $<

build: build-stamp

build-stamp: $(EPERL_FILES) debian/po/templates.pot
	dh_testdir
	$(check-svn)

        # Add here commands to compile the package.
	cd doc; $(MAKE)
	cd scripts; pod2man dh_installtex > dh_installtex.1

	touch build-stamp

debian/po/templates.pot: debian/templates
	debconf-updatepo
	grep "Last-Translator" debian/po/*.po | \
	  sed -e 's/.*\(<.*@.*>\).*/\1, /g' | \
	  tr "\n" " " | sed -e 's/,  $$/\n/' \
	  > debian/recent-translators

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

        # Add here commands to clean up after the build process.
	cd doc; $(MAKE) clean
	-rm $(EPERL_FILES)
	debconf-updatepo

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

        # Add here commands to install the package into debian/tex-common.
	cd doc; $(MAKE) install DESTDIR=$(INSTDIR)/usr/share/doc/tex-common
	cp conf/fmt.d/00tex.cnf $(INSTDIR)/etc/texmf/fmt.d/
	cp conf/language.d/00tex.cnf $(INSTDIR)/etc/texmf/language.d/
        # ucf files
	cp conf/texmf.d/*cnf $(INSTDIR)/usr/share/tex-common/
	ln -s /etc/texmf/texmf.cnf $(INSTDIR)/usr/share/texmf/web2c/texmf.cnf
	cp conf/updmap.d/00updmap.cfg $(INSTDIR)/usr/share/tex-common/
	cp -a debian/md5sums/* $(INSTDIR)/usr/share/tex-common/
	cp $(sbin_installfiles) $(INSTDIR)/usr/sbin/
	cp $(bin_installfiles) $(INSTDIR)/usr/bin/
	cp $(nonbin_installfiles) $(INSTDIR)/usr/share/tex-common/
	ln -s update-fontlang $(INSTDIR)/usr/sbin/update-language
	ln -s update-fontlang $(INSTDIR)/usr/sbin/update-fmtutil
	ln -s ../sbin/update-fontlang $(INSTDIR)/usr/bin/update-updmap

        # debhelper stuff
        # dh_installtex(.1) is already installed via the bin_scripts
	grep -v '^[ \t]*#' scripts/postrm-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-tex
	grep -v '^[ \t]*#' scripts/postinst-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-tex

        # ship /var/cache/fonts with proper permissions
	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/pk
	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/tfm
	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/source

        # Remove the out-of-date ls-R file from /usr/share/texmf and create a
        # link to one in /var/lib/texmf that we can update without violating
        # the FHS.
	rm -f debian/$package/usr/share/texmf/ls-R
	ln -s /var/lib/texmf/ls-R-TEXMFMAIN $(INSTDIR)/usr/share/texmf/ls-R

        # Create a symlink in TEXMFMAIN for docs
	ln -s ../doc/texmf $(INSTDIR)/usr/share/texmf/doc

        # Debian-specific stuff
	install -m 644 debian/reportbug-control $(INSTDIR)/usr/share/bug/tex-common/control
	install -m 644 debian/lintian-overrides $(INSTDIR)/usr/share/lintian/overrides/tex-common


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	$(check-svn)
	dh_testroot
	dh_installdebconf 
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman $(sbin_manpages) $(bin_manpages)
	dh_link
	dh_compress
	dh_fixperms --exclude=var/cache/fonts
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

define check-svn
	@if test -d debian/.svn; then \
		echo "Please clean subversion directories."; \
		exit 1; \
	fi
endef

## tex-common 0.42

=== doc/Makefile ===
DESTDIR = /usr/share/doc/tex-common
TDS_VERSION = 1.1

CLEANFILES = Debian-TeX-Policy.txt Debian-TeX-Policy.html Debian-TeX-Policy.tpt TeX-on-Debian.txt TeX-on-Debian.html TeX-on-Debian.tpt

all: policy-txt policy-html policy-pdf tex-on-debian-txt tex-on-debian-html tex-on-debian-pdf

policy-txt: Debian-TeX-Policy.sgml version.ent
	debiandoc2text Debian-TeX-Policy.sgml

policy-html: Debian-TeX-Policy.sgml version.ent
	debiandoc2html Debian-TeX-Policy.sgml

policy-pdf: Debian-TeX-Policy.pdf

Debian-TeX-Policy.pdf: Debian-TeX-Policy.sgml version.ent tex-sed
	debiandoc2latexpdf -s ./tex-sed Debian-TeX-Policy.sgml

tex-on-debian-txt: TeX-on-Debian.sgml
	debiandoc2text TeX-on-Debian.sgml

tex-on-debian-html: TeX-on-Debian.html
tex-on-debian-pdf: TeX-on-Debian.pdf

TeX-on-Debian.html: TeX-on-Debian.sgml
	debiandoc2html TeX-on-Debian.sgml

TeX-on-Debian.pdf: TeX-on-Debian.sgml tex-sed
	debiandoc2latexpdf -s ./tex-sed TeX-on-Debian.sgml

get-tds:
	wget ftp://www.tug.org/tex/tds.tar.gz
	tar -xzf tds.tar.gz
	rm tds.tar.gz

tds-all:
	cd tds-$(TDS_VERSION); make tds.pdf
	cd tds-$(TDS_VERSION); make tds.dvi
	cd tds-$(TDS_VERSION); make tds.html

install: 
	install -d $(DESTDIR)
	cp Debian-TeX-Policy.txt $(DESTDIR)/
	cp Debian-TeX-Policy.pdf $(DESTDIR)/
	cp -R Debian-TeX-Policy.html $(DESTDIR)/
	cp TeX-on-Debian.txt $(DESTDIR)/
	cp TeX-on-Debian.pdf $(DESTDIR)/
	cp -R TeX-on-Debian.html $(DESTDIR)/
	
	cp tds-$(TDS_VERSION)/tds.pdf $(DESTDIR)/
	cp tds-$(TDS_VERSION)/tds.dvi $(DESTDIR)/
	cp tds-$(TDS_VERSION)/tds.html $(DESTDIR)/

clean: tds-clean
	-rm -r $(CLEANFILES)

tds-clean:
	-rm tds-$(TDS_VERSION)/tds.texi*

allclean: clean
	-rm  Debian-TeX-Policy.pdf
	-rm  TeX-on-Debian.pdf

.PHONY: all install clean allclean \
        policy-txt policy-html policy-pdf \
        tex-on-debian-txt tex-on-debian-html tex-on-debian-pdf

=== debian/changelog ===
tex-common (0.42) unstable; urgency=low

  * Documentation fixes to update-fontlang.1:
      - the .TH line was broken, causing an ugly footer in the formatted
        manpage;
      - the SYNOPSIS had an incorrect syntax ('-language', '-updmap', and
        '-fmtutil' aren't optional) and the new way is much easier to read
        anyway IMO;
      - always mention the programs in that order: update-updmap,
        update-language and update-fmtutil (reason is, I think the average
        user is more likely to need update-updmap than any of the two
        others);
      - the arguments to some options were forgotten, as in the
        update-fontlang usage message ('--help');
      - better option formatting (for those with a short and a long form;
         copied from /usr/share/man/man1/man.1.gz);
      - the default values for TEXMFCONFIG and TEXMFVAR do *not* end with
        a slash;
      - the path to TeX-on-Debian.txt.gz was wrong;
      - s/updmap.sys/updmap.cfg/;
      - s/TEMXF/TEXMF/ in a few places;
      - a package may install *several* files in each /etc/texmf/*.d
        directory (and list them in the .list files under
        /var/lib/tex-common).
      - a bit more details here and there;
      - more formatting to ease reading (such as italics), punctuation,
        typographical fixes. [florent]

  * Fix to update-fontlang: don't forget the arguments to '-c' and '-o' in
    the usage message ('--help'). [florent]
  
  * Minor fixes to postrm-texlsr to avoid having too long lines (greater
    than 80 characters). [florent]

  * remove the left-over definition of dhit_check_run_without_errors in
    postrm-tex, it is included in postrm-texlsr (Closes: #402068). [NP]

 -- Frank Küster <frank@debian.org>  Mon, 11 Dec 2006 19:46:08 +0100

tex-common (0.41) unstable; urgency=low

  * Install the TDS specification along with the Debian TeX Policy
    (closes: #401196) [frank]
  * Register ucf files with ucfr (closes: #395018) [frank]
  * Refined wording and typography of the documentation documents

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 19:03:21 +0100

tex-common (0.40) unstable; urgency=low

  * Register TeX-on-Debian and the policy with doc-base
  * Change the wording of Policy to indicate more clearly that everything
    can (and should) be done using dh_installtex.

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 11:08:26 +0100

tex-common (0.39) unstable; urgency=low

  * changelog editing: fix wrong bugnumber in last upload [frank]
  * Add a more verbose explanation to the warning when updmap-sys failed
    (closes: #397717), and echo errors to stderr. [frank]
  * Change default priority for dh_installtex to 20, and document in the
    TeX Policy that 10 is reserved for Basic TeX packages.  This would
    have avoided bug #399447. [frank]

 -- Frank Küster <frank@debian.org>  Tue, 21 Nov 2006 18:32:32 +0100

tex-common (0.38) unstable; urgency=low

  * install update-fontlang and the three links all into /usr/bin
    and keep symlinks in /usr/sbin for old packages. Update the man page
    of update-fontlang. (Closes: #396822) [preining]
  * Clear up the description about user-specific configuration in
    TeX-on-Debian, many thanks to Géraud Meyer <geraud_meyer@hotmail.com>
    (closes: #396826) [preining,frank]
  * Debconf translation updates: [frank]
    - French, thanks to Christian Perrier (closes: #395844)
    - Italian, thanks to Luca Monducci <luca.mo@tiscali.it> (closes:
      #396101)
    - German, thanks to Helge Kreutzmann <debian@helgefjell.de> (closes:
      #396036)
    - All others except the heavily outdated ca.po where unfuzzied by me,
      even in Japanese I can change "dpkg-dist" to "ucf-dist" [frank]

 -- Frank Küster <frank@debian.org>  Fri,  3 Nov 2006 14:14:12 +0100

tex-common (0.37) unstable; urgency=low

  * Fix bashism in postinst, thanks to Michael Biebl <biebl@teco.edu>
    (closes: #395274) [frank]

 -- Frank Küster <frank@debian.org>  Thu, 26 Oct 2006 08:14:29 +0200

tex-common (0.36) unstable; urgency=medium

  * Depend on debconf (>= 1.4.69), which introduced the error template
    type (closes: #395032).  This broke upgrades, hence the urgency
    [frank] 
  * Fix format extraction regexp in dh_installtex, the format name must
    now be at the beginning of the line, without any leading whitespace,
    but hyphens are allowed in the name.  Thanks Ralf. [preining]
  * dh_installtex: Include only the minimal mktexlsr code in case no other
    installation is done (ie no maps, formats, languages).  Also add the
    ability to specify texmf trees on the command line, and only recreate
    the ls-R DB for /usr/share/texmf and /var/lib/texmf [preining]
    (Closes: #392359)
  * Add engine-specific paths to the TEXFORMATS and TEXFONTMAPS variables,
    and avoid triple slashes.  This is completely backwards-compatible (it
    only adds path components), and is needed for the planned separate
    context package.  Thanks to Ralf Stubner for the details!
    [preining,frank]

 -- Frank Küster <frank@debian.org>  Wed, 25 Oct 2006 13:16:13 +0200

tex-common (0.35) unstable; urgency=low

  * Use local variables in debianize-updmap, so that the right file for
    enabling font maps will be found (closes: #393920) [frank]

 -- Frank Küster <frank@debian.org>  Wed, 18 Oct 2006 17:58:09 +0200

tex-common (0.34) unstable; urgency=medium

  * Handle non-writable /usr/local gracefully upon removal, thanks to Sam
    Hocevar <sam@zoy.org> (closes: #392518) [frank]
  * Change debianize-updmap so that the --syncwithtrees and --edit options
    do something sensible, and won't break the system. Together with the
    upload of tetex-bin 3.0-22, this will close #392573 and #334747.
    [frank]
  * Add a check for shadowed config files to update-fontlang [preining]
  * Move and extend the teTeX README.Debian to TeX-on-Debian Documentation
    [frank, preining]
  * Move po-debconf from Build-Depends-Indep to Build-Depends, since it's


=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: tex-common
 Section: tex
 Priority: optional
-Maintainer: teTeX maintainers <debian-tetex-maint@lists.debian.org>
+Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>
-Build-Depends: debhelper (>= 4.0.0)
-Build-Depends-Indep: debiandoc-sgml, po-debconf, eperl
+Build-Depends: debhelper (>= 4.0.0), po-debconf
+Build-Depends-Indep: debiandoc-sgml, eperl
 Standards-Version: 3.7.2.0
 
 Package: tex-common
 Architecture: all
-Depends: ucf, ${misc:Depends}
+Depends: ucf, ${misc:Depends}, debconf (>= 1.4.69) | debconf-2.0
 Suggests: debhelper (>= 4.0)
 Replaces: tetex-base (<= 3.0-10)
 Conflicts: tetex-bin (<= 3.0-4), tetex-base (<= 3.0-3)

=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,15 @@
 
 INSTDIR=$(CURDIR)/debian/tex-common
 
-bin_scripts=dh_installtex
-sbin_scripts=update-texmf update-fontlang
-nonbin_scripts=tpm2licenses Tpm.pm FileUtils.pm
+bin_scripts=dh_installtex update-fontlang
+sbin_scripts=update-texmf
+nonbin_scripts=tpm2licenses Tpm.pm FileUtils.pm tetex-bin-upgrade 01tetex.cnf 01tetex.cnf.md5sum debianize-updmap
 
 sbin_installfiles=$(foreach script,$(sbin_scripts), scripts/$(script))
-sbin_manpages=$(foreach script,$(sbin_scripts), scripts/$(script).8) scripts/update-fmtutil.8 scripts/update-language.8
+sbin_manpages=$(foreach script,$(sbin_scripts), scripts/$(script).8) 
 
 bin_installfiles=$(foreach script,$(bin_scripts), scripts/$(script))
-bin_manpages=$(foreach script,$(bin_scripts), scripts/$(script).1) scripts/update-updmap.1
+bin_manpages=$(foreach script,$(bin_scripts), scripts/$(script).1) 
 
 nonbin_installfiles=$(foreach script,$(nonbin_scripts), scripts/$(script))
 
@@ -75,34 +75,30 @@
 	cp conf/language.d/00tex.cnf $(INSTDIR)/etc/texmf/language.d/
         # ucf files
 	cp conf/texmf.d/*cnf $(INSTDIR)/usr/share/tex-common/
-	ln -s /etc/texmf/texmf.cnf $(INSTDIR)/usr/share/texmf/web2c/texmf.cnf
 	cp conf/updmap.d/00updmap.cfg $(INSTDIR)/usr/share/tex-common/
 	cp -a debian/md5sums/* $(INSTDIR)/usr/share/tex-common/
 	cp $(sbin_installfiles) $(INSTDIR)/usr/sbin/
 	cp $(bin_installfiles) $(INSTDIR)/usr/bin/
 	cp $(nonbin_installfiles) $(INSTDIR)/usr/share/tex-common/
-	ln -s update-fontlang $(INSTDIR)/usr/sbin/update-language
-	ln -s update-fontlang $(INSTDIR)/usr/sbin/update-fmtutil
-	ln -s ../sbin/update-fontlang $(INSTDIR)/usr/bin/update-updmap
 
         # debhelper stuff
         # dh_installtex(.1) is already installed via the bin_scripts
 	grep -v '^[ \t]*#' scripts/postrm-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-tex
 	grep -v '^[ \t]*#' scripts/postinst-tex > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-tex
+	grep -v '^[ \t]*#' scripts/postrm-texlsr > $(INSTDIR)/usr/share/debhelper/autoscripts/postrm-texlsr
+	grep -v '^[ \t]*#' scripts/postinst-texlsr > $(INSTDIR)/usr/share/debhelper/autoscripts/postinst-texlsr
 
-        # ship /var/cache/fonts with proper permissions
-	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/pk
-	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/tfm
-	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/source
+        # fontcache stuff with proper permissions
+	install -d $(INSTDIR)/etc/texmf/web2c/
+	install -m 644 texmf/web2c/mktex.cnf $(INSTDIR)/etc/texmf/web2c/
+# 	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/pk
+# 	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/tfm
+# 	mkdir --mode=1777 $(INSTDIR)/var/cache/fonts/source
 
         # Remove the out-of-date ls-R file from /usr/share/texmf and create a
         # link to one in /var/lib/texmf that we can update without violating
-        # the FHS.
-	rm -f debian/$package/usr/share/texmf/ls-R
-	ln -s /var/lib/texmf/ls-R-TEXMFMAIN $(INSTDIR)/usr/share/texmf/ls-R
-
-        # Create a symlink in TEXMFMAIN for docs
-	ln -s ../doc/texmf $(INSTDIR)/usr/share/texmf/doc
+        # the FHS (symlink created by dh_link)
+	rm -f debian/$(package)/usr/share/texmf/ls-R
 
         # Debian-specific stuff
 	install -m 644 debian/reportbug-control $(INSTDIR)/usr/share/bug/tex-common/control

## tex-common 1.0.1~bpo.1

=== debian/changelog ===
tex-common (1.0.1~bpo.1) sarge-backports; urgency=low

  * Upload to sarge-backports
  * No source changes

 -- Frank Küster <frank@debian.org>  Mon, 12 Mar 2007 11:41:03 +0100

tex-common (1.0.1) unstable; urgency=low

  * fix a bug in dh_installtex which prohibits --priority to work
    correctly for command line config files. [NP]
  * add myself to the list of Uploaders. [NP]

 -- Norbert Preining <preining@debian.org>  Mon, 26 Feb 2007 18:08:22 +0100

tex-common (1.0) unstable; urgency=low

  * Release as version 1.0, tex-common has been stable for months and
    deserves a non-zero version number
  * Debconf translations: [frank]
    - New Romanian translation, thanks to Eddy Petrișor
      <eddy.petrisor@gmail.com> (closes: #409267) 
    - New Portuguese Brazilian translation, thanks to the Traduz
      MailingList <traduz@debianpt.org> (closes: #408866)
    - Updated Catalan translation, thanks to Guillem Jover
      <guillem@debian.org> (closes: #409162)

 -- Frank Küster <frank@debian.org>  Mon,  5 Feb 2007 10:55:26 +0100

tex-common (0.44) unstable; urgency=low

  * Use full pathname when registering files with ucf (closes: #408263) 
  * New and updated debconf translations:
    - Galician by Jacobo Tarrio <jtarrio@trasno.net> (closes: #408122)

 -- Frank Küster <frank@debian.org>  Fri, 26 Jan 2007 18:10:23 +0100

tex-common (0.43) unstable; urgency=low

  * Register documentation in section TeX instead of Text (closes:
    #403086) [frank]
  * Debconf translations: 
    - add Russian translation, thanks to Yuri Kozlov <kozlov.y@gmail.com>
      (closes: #406872)

 -- Frank Küster <frank@debian.org>  Mon, 15 Jan 2007 07:51:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
-Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>
+Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 4.0.0), po-debconf
 Build-Depends-Indep: debiandoc-sgml, eperl
 Standards-Version: 3.7.2.0

## tex-common 1.0.1-0maemo1+0m5

=== debian/changelog ===
tex-common (1.0.1-0maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Thu, 07 May 2009 16:54:19 +0300

tex-common (1.0.1-0maemo1) unstable; urgency=low

  * Add scratchbox paths to cnf files

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu, 07 May 2009 16:08:57 +0300

## tex-common 1.9

=== debian/changelog ===
tex-common (1.9) unstable; urgency=low

  * Make sure that update-fontlang detects TEXMFVAR properly even if the
    directory does not yet exist (closes: #428448) [fk].
  * let update-fontlang and debianize-updmap create TEXMFCONFIG if  it
    doesn't exist yet (at least when there's only one directory in that
    variable) [fk].

 -- Frank Küster <frank@debian.org>  Tue, 19 Jun 2007 11:32:09 +0200

tex-common (1.8) unstable; urgency=medium

  * Bump urgency since this fixes a RC bug which hits anyone upgrading
    from lenny to sid and triggers a forkbomb.  Urgency only medium
    because of the long list of unrelated other changes. [fk]
  * Add a workaround for the fork bomb problem in format generation:
    Ignore jadetex and xmltex if latex is not present (closes: #427562) [fk]
  * make proper ucfr checking in maintainer scripts (Closes: #409897) [np]
  * rework the code generated by dh_installtex in the postinst script.
    Now at postinst/configure time fmtutil-sys is called with
      --all --cnffile <file>
    where <file> are the fmt.d config files installed by the package. This
    way a dpkg-reconfigure will create *all* formats defined in the config
    file, even if the sysadm has defined additional formats.
    (Closes: #418983) [np]
  * Update snippets in texmf.d according to a reordering patch accepted
    upstream [fk]
  * (first) rework of Debian-on-TeX document for TeX Live only [np]
  * add a list of old files from teTeX which can be removed
  * Do not install unused 01tetex.cnf and its md5sum file [fk]
  * dh_installtex: rewrite $engine to metafont if $engine = mf|mf-nowin
  * Install a copy of mktex.cnf in /usr/share/tex-common, and advice in
    NEWS.Debian to reinstall it. [fk]
  * Debconf translations: Added Vietnamese translation, thanks to Clytie
    Siddall <clytie@riverland.net.au> (closes: #426881)
  * implement an opion --nosourcefiles for tpm2licenses to not check 
    source files
  * Add symlinks "README.Debian.$ext" to the respective "TeX-on-Debian"
    formats. [fk]

 -- Frank Küster <frank@debian.org>  Mon, 11 Jun 2007 10:14:14 +0200

tex-common (1.7) unstable; urgency=low

  * Undo the changes of the autoscripts snippets ordering, debhelper has
    changed back to the former method.

 -- Norbert Preining <preining@debian.org>  Sat, 14 Apr 2007 08:39:46 +0200

tex-common (1.6) unstable; urgency=low

  * Document in NEWS.Debian that support for ls-R in TEXMFHOME has been
    dropped [fk]

  * Policy: Add a chapter on meta-packages and document that they are
    usually not acceptable as dependencies

  * reverse the order of autoscripts snippets in postrm (Closes: #418984)

  * change alternative dep on cdebconf to (>= 0.39), lintian error.

 -- Norbert Preining <preining@debian.org>  Fri, 13 Apr 2007 09:34:44 +0200

tex-common (1.5) unstable; urgency=low

  * fix missing tetex component of TEXMFDIST (Closes: #418674)

 -- Norbert Preining <preining@debian.org>  Wed, 11 Apr 2007 09:45:29 +0200

tex-common (1.4) unstable; urgency=low

  * Change main_memory to 1500000 to go with the main_memory of mpost
    and TeX Live's texmf.cnf. This change is needed to make mpost work
    under all circumstances [np].
  * Update settings and comments in the texmf.cnf snippets to match
    upstream's as close as possible [fk]
  * Drop backwards compatibility hacks for paths (see NEWS.Debian) [fk]
  * Enable parse-first-line feature, except for Knuth's "tex". [fk]
  * Update Tpm.pm and FileUtils.pm from TeXLive 2007 [fk]

 -- Norbert Preining <preining@debian.org>  Tue, 10 Apr 2007 17:52:56 +0200

tex-common (1.3) experimental; urgency=low

  * Fix typography in Debian-on-TeX, thanks to Miguel de Val Borro
    <miguel.deval@gmail.com> (closes: #413449) [frank]

  * In the source package, replace 'tex-sed' with a Python script named
    'texify-tex-output' to do a better job (handling all known cases so
    far, some of which seemed rather difficult to implement in sed).

    We don't need to Build-Depend on Python, because this script is only
    used when we generate PDF output from the DebianDoc documents
    (Debian-TeX-Policy, TeX-on-Debian), which we don't do at build time
    in order to avoid chicken-and-egg problems. [florent]

  * Add engine subdirectories to the search paths for MetaFont and
    MetaPost, too.  Thanks to Jörg Sommer <joerg@alea.gnuu.de>

  * Change the dh_installtex removal logic since format dumps are placed
    into engine subdirectories. We now remove all format dumps and log files
    in /v/l/t/web2c and /v/l/t/web2c/$engine/

 -- Norbert Preining <preining@debian.org>  Thu, 22 Mar 2007 01:28:27 +0100

tex-common (1.2) experimental; urgency=low

  * rename flavor format:no_format_links to format:no_links (nobody is using
    it already), and document it [NP]
  * increase trie_size to 400000 to allow the loading of all texlive 
    hyphenation patterns [NP]
  * Make sure that dh_installtex's postrm snippets won't try to run
    fmtutil-sys when it might be already uninstalled.

 -- Frank Küster <frank@debian.org>  Fri,  9 Mar 2007 16:12:17 +0100

tex-common (1.1) experimental; urgency=low

  * Upload to experimental.  This version is needed to build TeXLive
    2007.
  * Increase trie_size to the value in TeXLive 2007, and update the
    comment from their texmf.in file, too.
  * Only strip comments with '^[ \t]*# ' from the auto files to preserve
    comments starting with ## [NP]
  * small fix to dh_installtex for useless inclusion of postinst-tex
    (move the definition of $dothefullstuff into the package loop)
  * implement flavors format:build_all and format:add_one:formatname
  * let dh_installtex automatically create links for formats installed
    and add flavor to disable this behaviour.
  * fix a bug in dh_installtex which prohibits --priority to work
    correctly for command line config files. [NP]
  * add Norbert Preining <preining@debian.org> to the uploaders
  * add lintian overrides for wrongly detected bashism



=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: tex-common
 Architecture: all
-Depends: ucf, ${misc:Depends}, debconf (>= 1.4.69) | debconf-2.0
+Depends: ucf, debconf (>= 1.4.69) | cdebconf (>= 0.39)
 Suggests: debhelper (>= 4.0)
 Replaces: tetex-base (<= 3.0-10)
 Conflicts: tetex-bin (<= 3.0-4), tetex-base (<= 3.0-3)
